Author Topic: FYI: PHP 8.1.7 and ionCube 12.0.1 Working  (Read 1267 times)

0 Members and 1 Guest are viewing this topic.

Offline
***
FYI: PHP 8.1.7 and ionCube 12.0.1 Working
« on: August 14, 2022, 08:27:22 AM »
Just tested, the latest ionCube 12.0.1 is working with PHP 8.1.7 on CWPpro 0.9.8.1142 & AlmaLinux 8.6

Offline
***
Re: FYI: PHP 8.1.7 and ionCube 12.0.1 Working
« Reply #1 on: August 15, 2022, 06:41:53 AM »
same here
the module successfully installed
but still not working


+1

Offline
***
Re: FYI: PHP 8.1.7 and ionCube 12.0.1 Working
« Reply #2 on: August 15, 2022, 12:45:16 PM »
When you SSH in, enter:

php -v

How does it respond?

Offline
***
Re: FYI: PHP 8.1.7 and ionCube 12.0.1 Working
« Reply #3 on: August 15, 2022, 07:00:22 PM »
with ioncube loader error ....

now i reset it and turn it off ... php -v run normal without error and no zent iocube info

Offline
***
Re: FYI: PHP 8.1.7 and ionCube 12.0.1 Working
« Reply #4 on: August 15, 2022, 10:41:57 PM »
With the new 12.0.1 ionCube loaded, rebuild PHP 8.1.x. (Note the new ionCube does not support PHP 8.0.x)
Then reboot.

When you run php -v, you should see:

# php -v
PHP 8.1.7 (cli) (built: Jun 19 2022 04:26:11) (NTS)
Copyright (c) The PHP Group
Zend Engine v4.1.7, Copyright (c) Zend Technologies
    with the ionCube PHP Loader v12.0.1, Copyright (c) 2002-2022, by ionCube Ltd.

Offline
***
Re: FYI: PHP 8.1.7 and ionCube 12.0.1 Working
« Reply #5 on: August 16, 2022, 01:19:40 PM »
With the new 12.0.1 ionCube loaded

how to load it ?
i was use file from the website.

Offline
***
Re: FYI: PHP 8.1.7 and ionCube 12.0.1 Working
« Reply #6 on: August 16, 2022, 03:45:26 PM »
Download the .zip file from their website, unpack it it, then you upload the files via SFTP from [path]\ionCube PHP Loader\12.0.1\ioncube_loaders_lin_x86-64\ioncube to /usr/local/ioncube overwriting current files.

Then rebuild PHP 8.1.7 with the ionCube option, reboot.
When you run php -v you should see what I posted above.

Offline
***
Re: FYI: PHP 8.1.7 and ionCube 12.0.1 Working
« Reply #7 on: August 17, 2022, 06:12:26 AM »
step 1:
https://i.vgy.me/5FQEPX.png

step 2:
https://i.vgy.me/vJPRK2.png

step 3:
https://i.vgy.me/jMqoZ5.png
https://i.vgy.me/zUymzI.png
https://i.vgy.me/aVhliW.png


[root@panel ~]# php -v
PHP 8.1.7 (cli) (built: Aug 11 2022 17:59:00) (NTS)
Copyright (c) The PHP Group
Zend Engine v4.1.7, Copyright (c) Zend Technologies


lol
failed
not loaded....

https://i.vgy.me/yDVbxp.png

Offline
***
Re: FYI: PHP 8.1.7 and ionCube 12.0.1 Working
« Reply #8 on: August 17, 2022, 06:24:28 AM »
update

https://i.vgy.me/47gUEw.png

it's working
thank you

forgot to install via loader and CLI lol

Offline
***
Re: FYI: PHP 8.1.7 and ionCube 12.0.1 Working
« Reply #9 on: August 17, 2022, 05:03:37 PM »
Glad you got it working.

Took the long way around, you could have done it from the CWP GUI.

Offline
***
Re: FYI: PHP 8.1.7 and ionCube 12.0.1 Working
« Reply #10 on: August 18, 2022, 08:34:53 AM »
already try from the gui but not working lol

well at least now it working ^_^